/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse;

import java.io.File;
import java.io.IOException;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IProjectDescription;
import org.eclipse.core.resources.IWorkspaceRoot;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.core.runtime.Path;
import org.vcs.bazaar.client.testUtils.ExpectedWorkingTree;

public class WorkspaceUtil {

	public static IProject createProject(File baseDir, String name) throws CoreException {
		IWorkspaceRoot workspaceRoot = ResourcesPlugin.getWorkspace().getRoot();
		IProject project = workspaceRoot.getProject(name);
		if(project.exists()) {
			project.delete(true, new NullProgressMonitor());
		}
		IProjectDescription desc = ResourcesPlugin.getWorkspace().newProjectDescription(name);
		desc.setLocation(new Path(baseDir.getAbsolutePath()));
		project.create(desc, new NullProgressMonitor());
		project.open(null);
		return project;
	}

	public static void populate(IProject project, ExpectedWorkingTree wt) throws IOException {
		wt.materialize(project.getLocation().toFile());
	}
}
