/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core;

import org.junit.Assert;
import org.junit.Test;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.IPlugin;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.AbstractCoreTestCase;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BundledPluginsTest extends AbstractCoreTestCase {

    @Test
    /**
     * Test that the bundled xmloutput plugin is used.
     */
    public final void checkPluginsPath() throws BazaarException, BazaarClientException {
        IBazaarClient client = this.getClient();
        for(IPlugin plugin: client.plugins()) {
            if(plugin.getName().equals("xmloutput")) {
                Assert.assertTrue(plugin.getPath() + " doesn't contains org.vcs.bazaar.eclipse.client/plugins", 
                		plugin.getPath().matches(".*/org.vcs.bazaar.eclipse.client.*/plugins/xmloutput"));
            }
        }
    }

}
