/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core.listeners;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.core.resources.IResource;
import org.junit.Test;

/**
 *
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BzrChangeStateEventTest {

	@Test
	public void testGetType() {
		Collection<IResource> resources = new ArrayList<IResource>(0);
		BzrChangeStateEvent event = new BzrChangeStateEvent(this, resources, BzrChangeStateEvent.BRANCH_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.BRANCH_STATE_MODIFY, event.getType());
		event = new BzrChangeStateEvent(this, resources, BzrChangeStateEvent.BRANCH_STATE_MODIFY|BzrChangeStateEvent.WT_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.BRANCH_STATE_MODIFY, event.getType()&BzrChangeStateEvent.BRANCH_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.WT_STATE_MODIFY, event.getType()&BzrChangeStateEvent.WT_STATE_MODIFY);
		assertTrue((event.getType()&BzrChangeStateEvent.WT_STATE_MODIFY) > 0);
		assertTrue((event.getType()&(BzrChangeStateEvent.WT_STATE_MODIFY|BzrChangeStateEvent.BRANCH_STATE_MODIFY)) > 0);
		assertFalse((event.getType()&BzrChangeStateEvent.RESOURCE_MODIFY) > 0);
	}

}
