/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse;

/**
 * @author Piotr Piastucki
 */
public class ClientProperties {

	private final String executable;
	private final String email;
	private final String port;
	private final String pluginPath;
	
	ClientProperties(String executable, String email, String port, String pluginPath) {
		this.executable = executable;
		this.email = email;
		this.port = port;
		this.pluginPath = pluginPath;
	}

	public String getExecutable() {
		return executable;
	}

	public String getEmail() {
		return email;
	}

	public String getPort() {
		return port;
	}

	public String getPluginPath() {
		return pluginPath;
	}
	
	@Override
	public boolean equals(Object o) {
		return toString().equals(o.toString());
	}
	
	@Override
	public int hashCode() {
		return toString().hashCode();
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append(executable).append("|");
		sb.append(email).append("|");
		sb.append(port).append("|");
		sb.append(pluginPath).append("|");
		return sb.toString();
	}

}
