/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.commands;

import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Piotr Piastucki
 */
public class RebaseToDoCommand extends BazaarCommand {

	private final IBzrBranch branch;
	private boolean rebaseInterrupted;

	public RebaseToDoCommand(IBzrBranch branch) {
		this.branch = branch;
	}

	@Override
	public void run(IProgressMonitor monitor) throws BazaarException {
		IBazaarClient client = getClient(branch, true);
        try {
			rebaseInterrupted = client.rebaseToDo();
		} catch (BazaarClientException e) {
			throw BazaarException.wrapException(e);
		}
	}

	public boolean isRebaseInterrupted() {
		return rebaseInterrupted;
	}

}
