/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.credentials;

import org.vcs.bazaar.client.IBazaarUserPassword;

/**
 * @author Piotr Piastucki
 */
public class BazaarCredentials implements IBazaarUserPassword {
	
	private final String user;
	private final String password;
	private final boolean stored;
	
	public BazaarCredentials(String user, String password, boolean stored) {
		this.user = user;
		this.password = password;
		this.stored = stored;
	}

	public String getUser() {
		return user;
	}

	public String getPassword() {
		return password;
	}

	public boolean isStored() {
		return stored;
	}

}
