/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.credentials;

import org.vcs.bazaar.client.IBazaarPromptUserPassword;
import org.vcs.bazaar.client.IBazaarUserPassword;

/**
 * @author Piotr Piastucki
 */
public class DelegatingCredentialsProvider implements IBazaarPromptUserPassword {

	private IBazaarPromptUserPassword credentialsProvider;

	public IBazaarUserPassword getCredentials(String prompt, boolean passwordOnly, boolean changeStored) {
		if (credentialsProvider != null) {
			return credentialsProvider.getCredentials(prompt, passwordOnly, changeStored);
		}
		return null;
	}

	public void setCredentialsProvider(IBazaarPromptUserPassword credentialsProvider) {
		this.credentialsProvider = credentialsProvider;
	}

}
