/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.history;

import org.eclipse.core.runtime.CoreException;
import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * @author Piotr Piastucki
 */
public class BazaarBranchHistory extends BazaarFileHistory {
	
	protected IBzrBranch branch;
	
	public BazaarBranchHistory(IBzrBranch branch) {
		this.branch = branch;
	}

	@Override
	protected boolean isBazaarProvider() {
		return true;
	}
	
	@Override
	protected void getLogMessages(boolean limit) throws CoreException {
		logMessages = EclipseBazaarCore.getDefault().getLogCacheManager().getLogs(branch, limit);
	}

	@Override
	protected BazaarFileRevision buildRevision(IBazaarLogMessage log) {
		return new BazaarBranchRevision(log, branch);
	}
	
}
