/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.history;

import org.eclipse.core.resources.IStorage;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * @author Piotr Piastucki
 */
public class BazaarBranchRevision extends BazaarFileRevision {

	private IBzrBranch branch;
	
	public BazaarBranchRevision(IBazaarLogMessage logMessage, IBzrBranch branch) {
		super(logMessage, null);
		this.branch = branch;
	}

	public BazaarBranchRevision(IBazaarLogMessage mergedLog, IBzrBranch branch, BazaarBranchRevision parent) {
		super(mergedLog, null, parent);
		this.branch = branch;
	}

	@Override
	protected BazaarFileRevision buildChild(IBazaarLogMessage mergedLog) {
		return new BazaarBranchRevision(mergedLog, branch, this);
	}
	
	@Override
	public IStorage getStorage(IProgressMonitor monitor) throws CoreException {
		return null;
	}
}
