/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.history;

import org.eclipse.core.filesystem.IFileStore;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.team.core.RepositoryProvider;
import org.eclipse.team.core.history.IFileHistory;
import org.eclipse.team.core.history.IFileRevision;
import org.eclipse.team.core.history.provider.FileHistoryProvider;
import org.vcs.bazaar.eclipse.core.repository.BazaarTeamProvider;

/**
 * @author Guillermo Gonzalez
 *
 */
public class BazaarHistoryProvider extends FileHistoryProvider {

	public IFileHistory getFileHistoryFor(IResource resource, int flags, IProgressMonitor monitor) {
		RepositoryProvider provider = RepositoryProvider.getProvider((resource).getProject());
		if (provider instanceof BazaarTeamProvider) {
			return new BazaarFileHistory(resource);
		}
		return null;
	}

	public IFileHistory getFileHistoryFor(IFileStore store, int flags, IProgressMonitor monitor) {
		System.out.println("BazaarHistoryProvider::getFileHistoryFor(" + store.toString() + ")");
		return null;
	}

	public IFileRevision getWorkspaceFileRevision(IResource resource) {
	//	try {
	//		return new BazaarFileRevision(EclipseBazaarCore.getDefault().getLogCacheManager().getLastLog(resource), resource);
	//	} catch (Exception e) {
	//	}
		return null;
	}

}
