/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core.listeners;

import java.util.Collection;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.resources.IResourceChangeListener;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

public abstract class AbstractResourceChangeListener implements IResourceChangeListener {

	protected final void refreshResources(Collection<IResource> modifiedResources, int changeType) {
		NullProgressMonitor monitor = new NullProgressMonitor();
		try {
			EclipseBazaarCore.getDefault().getStatusCacheManager().scheduleRefresh(modifiedResources, monitor, changeType);
		} catch (BazaarException e) {
			EclipseBazaarCore.log(e.getStatus().getMessage(), e.getStatus().getSeverity());
		}
	}

	public AbstractResourceChangeListener() {
		super();
	}

}
