/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core.log;

import java.util.List;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.core.commands.LogCommand;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;

public class LogUpdater {

	List<IBazaarLogMessage> fetchLog(IBzrResource resource, IProgressMonitor monitor, Integer limit) throws CoreException {
		IProgressMonitor subMonitor = EclipseBazaarCore.subProgressMonitorFor(monitor);
		LogCommand lcmd = new LogCommand(resource, limit);
		lcmd.run(subMonitor);
		return lcmd.getLogMessages();
	}
}
