/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.model;

import java.util.Set;

/**
 * Represents the current status of the branch.
 *
 * @author Guillermo Gonzalez
 *
 */
public interface IBranchStatus extends IBzrObject {

	public Set<?> getModified();

	public Set<?> getAdded();

	public Set<?> getRemoved();

	public Set<?> getUnknown();

	public Set<?> getRenamed();

	public String getStatusFor(IBzrResource resource);
}
