/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.model;

import org.eclipse.core.runtime.CoreException;

/**
 *
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 */
public interface IBzrFolder extends IBzrResource {

	/**
	 *
	 * @return IBzrLocalFile[] the files contained in this folder.
	 * @throws CoreException
	 */
	IBzrFile[] getFiles() throws CoreException;

	/**
	 *
	 * @return IBzrLocalFolder[] the folders contained in this folder.
	 * @throws CoreException
	 */
	IBzrFolder[] getSubFolders() throws CoreException;

}
