/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.model;

import org.vcs.bazaar.client.BazaarStatusKind;
import org.vcs.bazaar.client.IBazaarStatus;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;

/**
 * @author Guillermo Gonzalez
 *
 */
public interface IBzrResourceStatus {

	public IBzrLocalResource getResource();

	public IBazaarStatus getStatus();

	public boolean contains(BazaarStatusKind kind);

	public boolean isAdded();
	public boolean isDeleted();
	public boolean isKindChange();
	public boolean isHasConflicts();
	public boolean isModified();
	public boolean isPendingMerge();
	public boolean isRenamed();
	public boolean isUnchanged();
	public boolean isUnknown();
	public boolean isUnversioned();
	public boolean isVersioned();
	public boolean isXBitChanged();
	public boolean isIgnored();
	public boolean isAnyModifiedStatus();
}
