/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core.repository;

import java.net.URI;

import org.eclipse.core.runtime.IStatus;

public class BranchTypeException extends RuntimeException {

	private static final long serialVersionUID = -3690210528386052971L;

	private URI repoLocation;

	private IStatus status;

	public BranchTypeException(final String what, final URI location, final IStatus status) {
		super(what);
		this.repoLocation = location;
		this.status = status;
	}

	public IStatus getStatus() {
		return status;
	}

	public URI getRepoLocation() {
		return repoLocation;
	}

}
