/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.status;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import org.eclipse.core.resources.IResource;
import org.vcs.bazaar.client.BazaarRevision;
import org.vcs.bazaar.client.IBazaarLogMessage;

/**
 * @author Piotr Piastucki
 */
public class LastLogCacheEntry {

	private long fullReloadTimestamp;
	private BazaarRevision projectRevision;
	private Map<IResource, IBazaarLogMessage> logMap = new ConcurrentHashMap<IResource, IBazaarLogMessage>();

	public long getFullReloadTimestamp() {
		return fullReloadTimestamp;
	}

	public void setFullReloadTimestamp(long fullReloadTimestamp) {
		this.fullReloadTimestamp = fullReloadTimestamp;
	}

	public BazaarRevision getProjectRevision() {
		return projectRevision;
	}

	public void setProjectRevision(BazaarRevision currentRevision) {
		this.projectRevision = currentRevision;
	}

	public IBazaarLogMessage get(IResource resource) {
		return logMap.get(resource);
	}

	public void update(Map<IResource, IBazaarLogMessage> logMap) {
		Map<IResource, IBazaarLogMessage> map = new ConcurrentHashMap<IResource, IBazaarLogMessage>(this.logMap);
		map.keySet().removeAll(logMap.keySet());
		map.putAll(logMap);
		this.logMap = map;
	}

}
