/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.utils;

import org.eclipse.core.runtime.preferences.DefaultScope;
import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.eclipse.core.runtime.preferences.InstanceScope;
import org.osgi.service.prefs.BackingStoreException;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;

/**
 * @author Piotr Piastucki
 */
public class PreferenceHelper {

	@SuppressWarnings("deprecation")
	public static String get(String propertyName) {
		IEclipsePreferences d = new DefaultScope().getNode(EclipseBazaarCore.getPluginId());
		IEclipsePreferences p = new InstanceScope().getNode(EclipseBazaarCore.getPluginId());
		return p.get(propertyName, d.get(propertyName, null));
	}

	@SuppressWarnings("deprecation")
	public static boolean getBoolean(String propertyName) {
		IEclipsePreferences d = new DefaultScope().getNode(EclipseBazaarCore.getPluginId());
		IEclipsePreferences p = new InstanceScope().getNode(EclipseBazaarCore.getPluginId());
		return p.getBoolean(propertyName, d.getBoolean(propertyName, false));
	}

	@SuppressWarnings("deprecation")
	public static int getInt(String propertyName) {
		IEclipsePreferences d = new DefaultScope().getNode(EclipseBazaarCore.getPluginId());
		IEclipsePreferences p = new InstanceScope().getNode(EclipseBazaarCore.getPluginId());
		return p.getInt(propertyName, d.getInt(propertyName, 0));
	}

	@SuppressWarnings("deprecation")
	public static void setToDefault(String propertyName) throws BackingStoreException {
		IEclipsePreferences d = new InstanceScope().getNode(EclipseBazaarCore.getPluginId());
		d.remove(propertyName);
		d.flush();
	}

}
