/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.internal.core.model;

import java.util.List;
import java.util.Map;

import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.core.model.IBzrMissingRevisions;

/**
 * @author Guillermo Gonzalez
 *
 */
public class BzrMissingRevisions implements IBzrMissingRevisions {

	private final Map<String, List<IBazaarLogMessage>> map;

	public BzrMissingRevisions(Map<String, List<IBazaarLogMessage>> missing) {
		super();
		this.map = missing;
	}

	public List<IBazaarLogMessage> getExtraRevisions() {
		return map.get("MINE");
	}

	public List<IBazaarLogMessage> getMissingRevisions() {
		return map.get("OTHER");
	}
}
