/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.internal.core.model;

import java.net.URI;

import org.vcs.bazaar.client.core.BranchLocation;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;


/**
 * @author guillermo
 *
 */
public class LpBranch extends RemoteBranch {

	private static final long serialVersionUID = 1L;

	public LpBranch(BranchLocation location) {
		super(location);
	}

	/*
	 * lp:bzr-eclipse -> bzr+ssh://bazaar.launchpad.net/+branch/bzr-eclipse/
	 * lp:~xxx/bzr-eclispe -> bzr+ssh://bazaar.launchpad.net/~xxx/bzr-eclipse/
	 */
	@Override
	public URI getLocation() {
		throw BazaarException.makeUnChecked(new BazaarException("Launchpad locations can't be represented as an java.net.URI object"));
	}

}
