/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.internal.core.model.local;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalFile;

/**
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public class BzrLocalFile extends BzrLocalResource implements IBzrLocalFile {

	public BzrLocalFile(final IResource resource, final IBzrBranch branch) {
		super(resource, branch);
	}

	@Override
    public boolean isFolder() {
		return false;
	}

	public IFile getIFile() {
		if(getIResource().getType() == IResource.FILE) {
			return (IFile)getIResource();
		}
		return null;
	}
}
