/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui;

import java.util.ResourceBundle;

import org.eclipse.osgi.util.NLS;

/**
 *
 * @author Guillermo Gonzalez
 *
 * TODO: Complete with literals across the code
 */
public class UITexts extends NLS {

	private static final String BUNDLE_NAME = UITexts.class.getPackage().getName() + ".uitexts"; //$NON-NLS-1$

	public static String Dialog_informationTitle;
	public static String Dialog_optionsGroup;
	public static String Dialog_optionForce;
	public static String Dialog_optionRemember;
	public static String Dialog_optionOverwrite;
	public static String CommitDialog_checkboxAll;
	public static String CommitDialog_checkboxUntracked;
	public static String CommitDialog_localCommit;
	public static String CommitDialog_columnError;
	public static String CommitDialog_commentsTitle;
	public static String CommitDialog_defaultCommitMessage;
	public static String CommitDialog_dialogTitle;
	public static String CommitDialog_fileNameHeader;
	public static String CommitDialog_fileStatusHeader;
	public static String CommitDialog_filesTitle;
	public static String CommitDialog_statusConflict;
	public static String CommitDialog_statusAdded;
	public static String CommitDialog_statusDeleted;
	public static String CommitDialog_statusError;
	public static String CommitDialog_statusModified;
	public static String CommitDialog_statusRemoved;
	public static String CommitDialog_statusRenamed;
	public static String CommitDialog_statusUntracked;
	public static String CommitDialog_statusExecuteBitChanged;
	public static String CommitDialog_selectAll;
	public static String CommitDialog_deselectAll;
	public static String CommitDialog_contentAssist;
	public static String CommitDialog_commit;
	public static String CommitDialog_commitAndPush;

	public static String CommitAction_nothingToCommit;
	public static String CommitAction_resolveConflicts;
	
	// Actions
	public static String BzrAction_errorTitle;
	public static String SwitchAction_force_tooltip;
	public static String ActionOpenInEditor_label;
	public static String ActionCompareWithLatest_label;
	public static String ActionRevert_label;
	public static String ActionCompareWithCurrent_label;
	public static String ActionCompareWithEachOther_label;
	public static String ActionCompareWithPrevious_label;
	
	//Jobs:
	public static String QuickDiffProvider_fetchingContents;

	//General Bazaar Preferences
	public static String BazaarPreferencesPage_description;
	public static String BazaarPreferencesPage_executable;
    public static String BazaarPreferencesPage_overwrite_userid;
	public static String BazaarPreferencesPage_userid;
    public static String BazaarPreferencesPage_enable_bundled_plugins;
	public static String BazaarPreferencesPage_plugins_dir;
	public static String BazaarPreferencesPage_plugins_dir_chooser;
	public static String BazaarPreferencesPage_xmlrpc_port;
    public static String BazaarPreferencesPage_client_type;
	
	// Console preferences
	public static String BazaarConsole_name;
	public static String BazaarConsole_removeAction_label;
	public static String BazaarConsole_removeAction_tooltip;
	public static String BazaarConsole_preferences_consoleColorSettings;
	public static String BazaarConsole_delimiter;
	public static String BazaarConsole_preferences_highWaterMark;
	public static String BazaarConsole_preferences_showOnMessage;
	public static String BazaarConsole_preferences_showOnError;
	public static String BazaarConsole_preferences_showOnDebug;
	public static String BazaarConsole_preferences_limitOutput;
	public static String BazaarConsole_preferences_commandColor;
	public static String BazaarConsole_preferences_messageColor;
	public static String BazaarConsole_preferences_errorColor;

	// Decorator preferences
	public static String BazaarDecoratorPreferencesPage_description;
	public static String BazaarDecoratorPreferencesPage_enable_project_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_file_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_status_text_decorator;
	public static String BazaarDecoratorPreferencesPage_enable_status_overlay_decorator;
	public static String BazaarDecoratorPreferencesPage_labelDecorationsLink;
	public static String BazaarDecoratorPreferencesPage_colorsAndFontsLink;

	// Performance preferences
	public static String BazaarPerformancePreferencesPage_description;
	public static String BazaarPerformancePreferencesPage_deep_decoration;
	public static String BazaarPerformancePreferencesPage_log_limit;
	public static String BazaarPerformancePreferencesPage_check_action_availability;

	// Marker preferences
	public static String BazaarMarkersPreferencesPage_description;

	// Project preferences
	public static String BazaarProjectsPreferencesPage_auto_share_projects;
	
	// Annotate View
	public static String BazaarAnnotateView_showFileAnnotation;
	public static String BazaarAnnotateView_viewInstructions;
	public static String AnnotateBlock_lines;
	public static String AnnotateBlock_line;
	public static String AnnotateBlock_userRevision;
	public static String nameAndRevision;

	// Send Dialog
	public static String BazaarSendDialogTitle;
	public static String BazaarSendDialogMessage;
	public static String BazaarSendDialogBrowse;

	// Wizards
	public static String CreateProjectWizard_title;
	public static String CreateProjectPage_title;
	public static String CreateProjectPage_description;
	public static String CreateProjectPage_projectName;
	public static String CreateProjectPage_projectLocation;
	public static String CreateProjectBranchType_label;
	public static String CreateProjectBranchType_branch;
	public static String CreateProjectBranchType_checkout;
	public static String CreateProjectBranchType_lightweight;
	public static String CreateProjectAdvancedPage_description;
	
	public static String SelectProjectWizardPage_description;
	public static String SelectProjectWizardType_groupTitle;
	public static String SelectProjectWizardType_importAsGeneralProject;
	public static String SelectProjectWizardType_useNewProjestWizard;
	
	public static String ConfigurationWizard_wizardTitle;
	public static String ConfigurationWizard_wizard_page_title;
	public static String ConfigurationWizard_version_control_new_project;
	public static String ConfigurationWizard_version_control_existing_project;
	public static String ConfigurationWizard_label_select_dir;
	public static String ConfigurationWizard_button_change_dir;
	public static String ConfigurationWizard_button_use_project_root;
	public static String ConfigurationWizard_button_use_existing_bzr_dir;
	public static String ConfigurationWizard_button_select_bzr_root;
	public static String ConfigurationWizard_button_select_bzr_root_msg;

	public static String SelectRevision_tip;
	public static String SelectRevision_revision;
	public static String SelectRevision_showLog;

	public static String DisconnectConfirmDialog_title;
	public static String DisconnectConfirmDialog_body;

	public static String IgnoredDialog_label;
	public static String IgnoredDialog_ignoredfile;
	public static String IgnoredDialog_match;

	public static String SendDialog_EnterLocation;
	public static String SendDialog_SendEmail;
	public static String SendDialog_SendEmailTooltip;
	public static String SendDialog_SaveLocation;
	public static String SendDialog_SaveLocationTooltip;
	public static String SendDialog_WrongEmail;
	public static String SendDialog_NoBundle;
	public static String SendDialog_NoBundleTooltip;
	public static String SendDialog_NoPatch;
	public static String SendDialog_NoPatchTooltip;
	public static String SendDialog_Format;

	//Error messages:
	public static String error_QuickDiffProvider_readingFile;
	public static String error_QuickDiffProvider_closingFile;

	// Other Constants
	public static String Dependency_Version;

	// Compare With
	public static String CompareWith_title;
	public static String CompareWith_workspace;
	public static String CompareWith_latest;

	// History View
	public static String HistoryView_ShowAffectedPaths;
	public static String HistoryView_HeaderRevision;
	public static String HistoryView_HeaderRevId;
	public static String HistoryView_HeaderMessage;
	public static String HistoryView_HeaderDate;
	public static String HistoryView_HeaderBranchNick;
	public static String HistoryView_HeaderCommitter;
	public static String HistoryView_HeaderTags;

	// Tag dialog
	public static String TagDialog_title;
	public static String TagDialog_tagLabel;
	public static String TagDialog_forceTooltip;
	// Shelve action
	public static String ShelveAction_scanningTaskName;
	public static String ShelveAction_nothingToShelve;
	// Shelve dialog
	public static String ShelveDialog_title;
	public static String ShelveDialog_messageLabel;
	public static String ShelveDialog_resourceLabel;
	public static String ShelveDialog_wholeBranch;
	// Unshelve action
	public static String UnShelveAction_gettingShelvesTaskName;
	public static String UnShelveAction_nothingToUnshelve;
	// Unshelve dialog
	public static String UnShelveDialog_title;
	public static String UnShelveDialog_shelfId;
	public static String UnShelveDialog_message;
	public static String UnShelveDialog_dryRun;
	public static String UnShelveDialog_dryRunTooltip;
	public static String UnShelveDialog_keep;
	public static String UnShelveDialog_keepTooltip;
	public static String UnShelveDialog_deleteOnly;
	public static String UnShelveDialog_deleteOnlyTooltip;
	// Conflicts view
	public static String View_Refresh;
	public static String ConflictsView_typeHeader;
	public static String ConflictsView_pathHeader;
	public static String ConflictsView_messageHeader;
	public static String ConflictsView_refreshTaskName;
	// Status View
	public static String StatusView_refreshTaskName;
	// Conflicts actions
	public static String ActionEditConflicts_label;
	public static String ActionEditConflicts_tooltip;
	public static String ActionResolve_label;
	public static String ActionResolve_tooltip;
	public static String ActionResolveTakeThis_label;
	public static String ActionResolveTakeThis_tooltip;
	public static String ActionResolveTakeOther_label;
	public static String ActionResolveTakeOther_tooltip;
	// Rebase dialog
	public static String BazaarRebaseDialogTitle;
	public static String BazaarRebaseDialogMessage;
	// Login dialog
	public static String LoginDialog_login;
	public static String LoginDialog_location;
	public static String LoginDialog_user;
	public static String LoginDialog_password;
	public static String LoginDialog_storeInSecureStore;

	public static String CreatePatchWizard_WindowTitle;
	public static String CreatePatchWizard_Title;
	public static String CreatePatchWizard_Description;
	public static String CreatePatchWizard_Clipboard;
	public static String CreatePatchWizard_File;
	public static String CreatePatchWizard_Workspace;
	public static String CreatePatchWizard_Browse;
	public static String CreatePatchWizard_FilesystemInvalid;
	public static String CreatePatchWizard_FilesystemReadOnly;
	public static String CreatePatchWizard_OverwriteTitle;
	public static String CreatePatchWizard_OverwriteMsg;
	public static String CreatePatchWizard_InternalError;
	public static String MergeDialog_Title;
	public static String MergeDialog_Message;
	public static String MergeDialog_Reprocess;
	public static String MergeDialog_ReprocessTooltip;
	public static String MergeDialog_Pull;
	public static String MergeDialog_Uncommitted;
	public static String MergeDialog_UncommittedTooltip;
	
	public static String ActionContributor_ExpandAll;

	public static String RebaseConflictsDialog_label;
	public static String RebaseResumeDialog_label;
	public static String RebaseResumeDialog_continue;
	public static String RebaseResumeDialog_abort;

	public static String SpellcheckableMessageArea_cut;
	public static String SpellcheckableMessageArea_undo;
	public static String SpellcheckableMessageArea_redo;
	public static String SpellcheckableMessageArea_paste;
	public static String SpellcheckableMessageArea_copy;
	public static String SpellcheckableMessageArea_selectAll;
	public static String SpellcheckableMessageArea_showWhitespace;

	public static String CommitDialogPreferencePage_hardWrapMessage;
	public static String CommitDialogPreferencePage_hardWrapMessageTooltip;
	public static String CommitDialogPreferencePage_commitMessageHistory;
	public static String TemplateEditorComponent_label;
	public static String TemplateEditorComponent_new;
	public static String TemplateEditorComponent_edit;
	public static String TemplateEditorComponent_remove;
	public static String TemplateEditorComponent_preview;
	public static String TemplateEditorDialog_title;
	public static String TemplateEditorDialog_editorLabel;

	public static String Dialog_optionCreateBranch;
	public static String Dialog_optionCreateBranchTooltip;
	public static String Notification_lightweightCheckoutsTitle;
	public static String Notification_lightweightCheckoutsText;
	public static String Notification_lightweightCheckoutsQuestion;
	public static String Conflicts_error;
	
	static {
		// load message values from bundle file
		NLS.initializeMessages(BUNDLE_NAME, UITexts.class);
	}

	private static final ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_NAME);

	/**
	 * Gets a string from the resource bundle. Return the key if not found.
	 */
	public static String bind(String key) {
		try {
			return bundle.getString(key);
		} catch (Exception e) {
			return key;
		}
	}

	public static String bind(String message, Object[] bindings) {
		return NLS.bind(bind(message), bindings);
	}
}
