/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.actions;

import java.lang.reflect.InvocationTargetException;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.jface.action.IAction;
import org.eclipse.team.core.TeamException;
import org.eclipse.ui.actions.WorkspaceModifyOperation;
import org.vcs.bazaar.eclipse.ui.operations.ReconfigureLightweightCheckoutsOperation;

/**
 * @author Piotr Piastucki
 */
public class ReconfigureLightweightCheckoutsAction extends BzrAction {

	@Override
	protected void execute(IAction action) throws Exception {
		run(new WorkspaceModifyOperation() {
			@Override
            public void execute(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
				try {
					new ReconfigureLightweightCheckoutsOperation(null).run(monitor);
				} finally {
					monitor.done();
				}
			}
		}, false, PROGRESS_DIALOG);
	}

	@Override
	protected boolean isEnabled() throws TeamException {
		return true;
	}

}
