/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.annotaions;

import org.eclipse.jface.text.DefaultInformationControl;
import org.eclipse.jface.text.TextPresentation;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyleRange;
import org.eclipse.swt.graphics.Drawable;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

/**
 * @author Piotr Piastucki
 */
class AnnotateInformationControl extends DefaultInformationControl {

	private static class AnnotateInformationPresenter implements IInformationPresenter, IInformationPresenterExtension {

		public String updatePresentation(Drawable drawable, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight) {
			presentation.clear();
			if (hoverInfo != null) {
				// decorate text
				StyleRange styleRange = new StyleRange();
				styleRange.start = 0;
				styleRange.length = hoverInfo.indexOf('\n');
				styleRange.fontStyle = SWT.BOLD;
				presentation.addStyleRange(styleRange);
			}
			return hoverInfo;
		}

		public String updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight) {
			return hoverInfo;
		}
	}

	public AnnotateInformationControl(Shell parent, String statusFieldText) {
		super(parent, statusFieldText, new AnnotateInformationPresenter());
	}

}
