/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.decorator;

import org.vcs.bazaar.client.BazaarStatusKind;
import org.vcs.bazaar.eclipse.core.model.BzrStatus;

/**
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public abstract class DecoratorResources {

	protected static final BazaarStatusKind getStatusFlagKind(BzrStatus status) {
		if(status == null)
			return null;
		if (status.contains(BazaarStatusKind.HAS_CONFLICTS)) {
			return BazaarStatusKind.HAS_CONFLICTS;
		}
		if (status.contains(BazaarStatusKind.MODIFIED)) {
			return BazaarStatusKind.MODIFIED;
		}
		if (status.contains(BazaarStatusKind.CREATED)) {
			return BazaarStatusKind.CREATED;
		}
		if (status.contains(BazaarStatusKind.DELETED)) {
			return BazaarStatusKind.DELETED;
		}
		if (status.contains(BazaarStatusKind.UNKNOWN)) {
			return BazaarStatusKind.UNKNOWN;
		}
		if (status.contains(BazaarStatusKind.UNCHANGED)) {
			return BazaarStatusKind.UNCHANGED;
		}
		if (status.contains(BazaarStatusKind.RENAMED)) {
			return BazaarStatusKind.RENAMED;
		}
		if (status.contains(BazaarStatusKind.IGNORED)) {
			return BazaarStatusKind.IGNORED;
		}
		return BazaarStatusKind.NONE;
	}

}
