/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.dialogs;

import java.util.Map.Entry;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

/**
 *
 * @authors Javier Der Derian<br>
 *          Guillermo Gonzalez <guillo.gonzo@gmail.com>
 * @BasedOn CommitResourceLabelProvider from BzrEclipse
 */
public final class IgnoredFilesLabelProvider extends LabelProvider implements ITableLabelProvider {

    public Image getColumnImage(Object element, int columnIndex) {
        // No images.
        return null;
    }

    @SuppressWarnings("unchecked")
    public String getColumnText(Object element, int columnIndex) {
        Entry<IResource, String> entry = (Entry<IResource, String>) element;
        switch (columnIndex) {
        case 0:
            return entry.getKey().getProjectRelativePath().toString();
        case 1:
            return entry.getValue();
        default:
            return "N/A";
        }

    }
}
