/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.dialogs;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.vcs.bazaar.client.commandline.commands.options.Option;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 * @author Piotr Piastucki
 */
public class RebaseDialog extends LocationInputDialog {

	private static final String TITLE = UITexts.BazaarRebaseDialogTitle;
	private static final String MESSAGE = UITexts.BazaarRebaseDialogMessage;
	
	public RebaseDialog(Shell parentShell, Collection<IBzrBranch> locations, IBzrBranch initialBranch, RebaseDialogInfo dialogInfo) {
		super(parentShell, TITLE, MESSAGE, initialBranch, new BaseURIValidator(), locations, dialogInfo, false, false, false, false, false);
		setShellStyle(SWT.RESIZE | SWT.MODELESS | SWT.CLOSE | SWT.BORDER | SWT.TITLE);
		setBlockOnOpen(true);
	}

	public static class RebaseDialogInfo extends LocationDialogInfo {
		
		private List<Option> options = new ArrayList<Option>();
		
		public List<Option> getOptions() {
			return options;
		}
	}
	
}
