/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.dialogs;

import org.eclipse.jface.text.ITextViewer;
import org.eclipse.jface.text.MarginPainter;
import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.graphics.Transform;

/**
 * @author Piotr Piastucki
 */
public class SpellcheckableMessageAreaMarginPainter extends MarginPainter {

	public SpellcheckableMessageAreaMarginPainter(ITextViewer textViewer) {
		super(textViewer);
	}

	public void paintControl(PaintEvent e) {
		Transform oldTransform = new Transform(e.display);
		e.gc.getTransform(oldTransform);
        Transform transform = new Transform(e.display);
        transform.translate(1, 0);
        e.gc.setTransform(transform);
        int alhpa = e.gc.getAlpha();
        e.gc.setAlpha(128);
		super.paintControl(e);
		e.gc.setAlpha(alhpa);
        e.gc.setTransform(oldTransform);
        transform.dispose();
        oldTransform.dispose();
	}
}
