/*******************************************************************************
* Copyright (c) 2007-2011 Guillermo Gonzalez
* Copyright (c) 2013 Piotr Piastucki
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.dialogs;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;
import org.vcs.bazaar.eclipse.core.model.IBzrResourceStatus;

public class UntrackedFilesFilter extends ViewerFilter {

	public UntrackedFilesFilter() {
		super();
	}

	/**
	 * Filter out untracked files.
	 */
	@Override
    public boolean select(Viewer viewer, Object parentElement, Object element) {
		if (element instanceof IBzrResourceStatus) {
			return !((IBzrResourceStatus) element).isUnknown() || ((IBzrResourceStatus) element).isDeleted();
		}
		return true;
	}
}
