/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 * @author Piotr Piastucki
 */
public class BazaarCommitDialogPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public BazaarCommitDialogPreferencePage() {
		super(GRID);
		setPreferenceStore(EclipseBazaarUI.getDefault().getPreferenceStore());
	}

	@Override
	protected void createFieldEditors() {

		BooleanFieldEditor hardWrap = new BooleanFieldEditor(
				BazaarPreferenceConstants.COMMIT_DIALOG_HARD_WRAP_MESSAGE,
				UITexts.CommitDialogPreferencePage_hardWrapMessage, getFieldEditorParent());
		hardWrap.getDescriptionControl(getFieldEditorParent()).setToolTipText(
				UITexts.CommitDialogPreferencePage_hardWrapMessageTooltip);
		addField(hardWrap);

		IntegerFieldEditor historySize = new IntegerFieldEditor(
				BazaarPreferenceConstants.COMMIT_DIALOG_HISTORY_SIZE,
				UITexts.CommitDialogPreferencePage_commitMessageHistory, getFieldEditorParent());
		addField(historySize);

		addField(new TemplateEditorComponent(getShell(), getFieldEditorParent(), convertHeightInCharsToPixels(5)));
	}

	public void init(IWorkbench workbench) {
	}
	
}
