/*******************************************************************************
* Copyright (c) 2007-2011 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.core.runtime.preferences.InstanceScope;
import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.preferences.ScopedPreferenceStore;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.IBazaarCoreConstants;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 *
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BazaarPerformancePreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

//	private BooleanFieldEditor deepDecorations;
	private IntegerFieldEditor logLimit;
	private BooleanFieldEditor actionCheck;

	public BazaarPerformancePreferencePage() {
		super(GRID);
		setPreferenceStore(new ScopedPreferenceStore(new InstanceScope(), EclipseBazaarCore.getPluginId()));
	}

	public void init(IWorkbench workbench) {
	}

	@Override
	protected void createFieldEditors() {
		// log revision limit
		logLimit = new IntegerFieldEditor(IBazaarCoreConstants.LOG_REVISION_LIMIT, UITexts.BazaarPerformancePreferencesPage_log_limit, getFieldEditorParent(), 50);
		addField(logLimit);
		//compute deep decoration (slow on big projects)
//		deepDecorations = new BooleanFieldEditor(BazaarPreferenceConstants.DEEP_DECORATION, UITexts.BazaarPerformancePreferencesPage_deep_decoration, getFieldEditorParent());
//		addField(deepDecorations);
		// check action availability (popup menu)
		actionCheck = new BooleanFieldEditor(BazaarPreferenceConstants.CHECK_ACTION_AVAILABILITY, UITexts.BazaarPerformancePreferencesPage_check_action_availability, getFieldEditorParent()) {
			@Override
			public IPreferenceStore getPreferenceStore() {
				return EclipseBazaarUI.getDefault().getPreferenceStore();
			}
		};
		addField(actionCheck);
	}
}
