/*******************************************************************************
* Copyright (c) 2007-2011 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.operations.CheckoutBazaarProjectOperation;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	@Override
    public void initializeDefaultPreferences() {
		IPreferenceStore store = EclipseBazaarUI.getDefault().getPreferenceStore();
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_COMMAND_COLOR, "0,0,0");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_ERROR_COLOR, "255,0,0");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_MESSAGE_COLOR, "0,0,255");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_HIGH_WATER_MARK, 5000);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_LIMIT_OUTPUT, false);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_FONT, "");
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_DEBUG, false);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_ERROR, true);
		store.setDefault(BazaarPreferenceConstants.PREF_CONSOLE_SHOW_ON_MESSAGE, true);
		store.setDefault(BazaarPreferenceConstants.FILE_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.PROJECT_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.STATUS_TEXT_DECORATOR, false);
		store.setDefault(BazaarPreferenceConstants.STATUS_OVERLAY_DECORATOR, true);
		store.setDefault(BazaarPreferenceConstants.CHECK_ACTION_AVAILABILITY, true);
		store.setDefault(BazaarPreferenceConstants.DEEP_DECORATION, true);
		store.setDefault(BazaarPreferenceConstants.NOT_VERSIONED_MARKER, false);
		store.setDefault(BazaarPreferenceConstants.HISTORY_SHOW_AFFETCED_PATHS, true);
		store.setDefault(BazaarPreferenceConstants.COMMIT_DIALOG_HISTORY_SIZE, 10);
		store.setDefault(BazaarPreferenceConstants.COMMIT_DIALOG_HARD_WRAP_MESSAGE, true);
		store.setDefault(BazaarPreferenceConstants.DEFAULT_BRANCH_TYPE, CheckoutBazaarProjectOperation.TYPE_BRANCH);
	}

}
