/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository;

import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.team.ui.history.IHistoryPageSource;
import org.vcs.bazaar.eclipse.core.repository.BazaarTeamProvider;
import org.vcs.bazaar.eclipse.ui.history.BazaarHistoryPageInput;
import org.vcs.bazaar.eclipse.ui.history.BazaarHistoryPageSource;

/**
 * @author Guillermo Gonzalez
 *
 */
public class BazaarAdapterFactory implements IAdapterFactory {

	@SuppressWarnings("unchecked")
	public Object getAdapter(Object adaptableObject, Class adapterType) {
		if (adaptableObject instanceof BazaarTeamProvider) {
			if(adapterType == IHistoryPageSource.class) {
				return new BazaarHistoryPageSource();
			}
		} else if(adaptableObject instanceof BazaarHistoryPageInput) {
			if(adapterType == IHistoryPageSource.class) {
				return new BazaarHistoryPageSource();
			}
		}
		return null;
	}


	@SuppressWarnings("unchecked")
	public Class[] getAdapterList() {
		return new Class[] { IHistoryPageSource.class, BazaarHistoryPageSource.class };
	}

}
