/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.core.commands.IStateListener;
import org.eclipse.core.commands.State;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;
import org.vcs.bazaar.eclipse.ui.repository.tree.RepositoryTreeNode;

/**
 * @author Piotr Piastucki
 */
public class RepositoriesViewContentProvider implements ITreeContentProvider, IStateListener {

	public void dispose() {
		// TODO Auto-generated method stub
		
	}

	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
		// TODO Auto-generated method stub
		
	}

	public void handleStateChange(State state, Object oldValue) {
		// TODO Auto-generated method stub
		
	}

	public Object[] getElements(Object inputElement) {
		List<RepositoryTreeNode> nodes = new ArrayList<RepositoryTreeNode>();
		if (inputElement instanceof RepositoryTreeNode) {
			nodes = ((RepositoryTreeNode)inputElement).getChildren();
		}
		return nodes.toArray();
	}

	public Object[] getChildren(Object parentElement) {
		List<RepositoryTreeNode> nodes = new ArrayList<RepositoryTreeNode>();
		if (parentElement instanceof RepositoryTreeNode) {
			nodes = ((RepositoryTreeNode)parentElement).getChildren();
		}
		return nodes.toArray();
	}

	public Object getParent(Object element) {
		// TODO Auto-generated method stub
		return null;
	}

	public boolean hasChildren(Object element) {
		if (element instanceof RepositoryTreeNode) {
			return ((RepositoryTreeNode)element).hasChildren();
		}
		return false;
	}

}
