/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository;

import org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.jface.viewers.StyledString;
import org.eclipse.swt.graphics.Image;
import org.vcs.bazaar.eclipse.ui.repository.tree.RepositoryTreeNode;

/**
 * @author Piotr Piastucki
 */
public class RepositoriesViewLabelProvider extends LabelProvider implements IStyledLabelProvider{

	public StyledString getStyledText(Object element) {
		StyledString string = new StyledString();
		if (element instanceof RepositoryTreeNode) {
			RepositoryTreeNode node = (RepositoryTreeNode) element;
			String name = node.getName();
			String location = node.getLocation();
			if (name != null && !name.trim().isEmpty()) {
				string.append(name);
			}
			if (location != null && !location.trim().isEmpty()) {
				string.append(" - " + location, StyledString.QUALIFIER_STYLER);
			}
		}
		return string;
	}
	
	@Override
	public Image getImage(Object element) {
		if (element instanceof RepositoryTreeNode) {
			RepositoryTreeNode node = (RepositoryTreeNode) element;
			return node.getType().getIcon();
		}
		return null;
	}

}
