/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository.tree;

import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * @author Piotr Piastucki
 */
public class RepositoryRemoteNode extends RepositoryTreeNode {

	private IBzrBranch branch;
	private String name;

	public RepositoryRemoteNode(RepositoryRemotesNode parent, String name, IBzrBranch branch) {
		super(parent, RepositoryTreeNodeType.REMOTE_BRANCH);
		this.name = name;
		this.branch = branch;
	}

	@Override
	public String getLocation() {
		return branch.getBranchLocation().toString();
	}

	@Override
	public String getName() {
		return name;
	}
	
}
