/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository.tree;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * @author Piotr Piastucki
 */
public class RepositoryRootNode extends RepositoryTreeNode {

	private Collection<IBzrBranch> branches;
	
	public RepositoryRootNode(Collection<IBzrBranch> branches) {
		super(null, RepositoryTreeNodeType.ROOT);
		this.branches = branches;
	}

	public Collection<IBzrBranch> getBranches() {
		return branches;
	}
	
	@Override
	public boolean hasChildren() {
		return true;
	}

	@Override
	public List<RepositoryTreeNode> getChildren() {
		List<RepositoryTreeNode> nodes = new ArrayList<RepositoryTreeNode>();
		for (IBzrBranch branch : getBranches()) {
			RepositoryBranchNode node = new RepositoryBranchNode(branch);
			nodes.add(node);
		}
		return nodes;
	}
}
