/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository.tree;

import org.vcs.bazaar.client.IBazaarTag;

/**
 * @author Piotr Piastucki
 */
public class RepositoryTagNode extends RepositoryTreeNode {

	private IBazaarTag tag;
	
	public RepositoryTagNode(RepositoryTreeNode parent, IBazaarTag tag) {
		super(parent, RepositoryTreeNodeType.TAG);
		this.tag = tag;
	}

	@Override
	public String getName() {
		return tag.getName();
	}

	@Override
	public String getLocation() {
		return tag.getRevision() != null ? tag.getRevision().toString() : null;
	}
}
