/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository.tree;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.core.runtime.PlatformObject;

/**
 * @author Piotr Piastucki
 */
public abstract class RepositoryTreeNode extends PlatformObject {

	protected final RepositoryTreeNode parent;
	protected final RepositoryTreeNodeType type;
	
	public RepositoryTreeNode(RepositoryTreeNode parent, RepositoryTreeNodeType type) {
		this.parent = parent;
		this.type = type;
	}

	public RepositoryTreeNodeType getType() {
		return type;
	}

	public String getName() {
		return null;
	}
	
	public String getLocation() {
		return null;
	}

	public List<RepositoryTreeNode> getChildren() {
		return new ArrayList<RepositoryTreeNode>();
	}
	
	public boolean hasChildren() {
		return false;
	}
}
