/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.repository.tree;

import org.eclipse.swt.graphics.Image;
import org.vcs.bazaar.eclipse.ui.UIIcons;

/**
 * @author Piotr Piastucki
 */
public enum RepositoryTreeNodeType {
	ROOT(null),
	BRANCH(UIIcons.TREE_VIEW_BRANCH.createImage()),
	REMOTES(UIIcons.TREE_VIEW_REMOTES.createImage()),
	REMOTE_BRANCH(null),
	TAGS(UIIcons.TREE_VIEW_TAGS.createImage()),
	TAG(UIIcons.TREE_VIEW_TAG.createImage());

	private final Image myImage;

	private RepositoryTreeNodeType(Image icon) {
		myImage = icon;
	}

	/**
	 * @return the icon for this type
	 */
	public Image getIcon() {
		return myImage;
	}
}