/*******************************************************************************
 * Copyright (c) 2012 Idereal Limited
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alexander Taler
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.wizards.createproject;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.vcs.bazaar.eclipse.ui.UITexts;
import org.vcs.bazaar.eclipse.ui.wizards.BzrWizardPage;

/**
 * Advanced options for Bazaar project creation Wizard.
 * 
 * Allows selection of:
 *  - Detached branch, checkout, or lightweight checkout
 *  - revision to fetch
 * 
 * @author Alexander Taler alex <@> idereal <.> co <.> nz
 */
public class CreateProjectAdvancedPage extends BzrWizardPage {

    // The parent wizard to act as a reference
    public CreateProjectWizard wiz;

    CreateProjectRevision revision = null;

    public CreateProjectAdvancedPage(String pageName, CreateProjectWizard wiz) {
		super(pageName, UITexts.CreateProjectPage_title);
        this.wiz = wiz;
        setDescription("Advanced options for creating project from Bazaar repository");
	}

	public void createControl(Composite parent) {
        final Composite topComposite = new Composite(parent, SWT.NONE);
        topComposite.setLayout(new GridLayout(1, false));

        revision = new CreateProjectRevision(topComposite, this, wiz, 425);

        setControl(topComposite);
        setPageComplete(true);
	}

	@Override
	public boolean isPageComplete() {
        return true;
	}

    public String getRevision() {
        return revision.getValue();
    }
}
