/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.wizards.createproject;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.vcs.bazaar.eclipse.ui.UITexts;
import org.vcs.bazaar.eclipse.ui.wizards.BzrWizardPage;

/**
 * @author Piotr Piastucki
 */
public class SelectProjectWizardPage extends BzrWizardPage {

    private Button generalProjectButton;
	private Button newProjectWizardButton;
	
	public SelectProjectWizardPage(String pageName) {
		super(pageName, UITexts.CreateProjectPage_title);
        setDescription(UITexts.SelectProjectWizardPage_description);
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NONE);
		composite.setLayout(new GridLayout(1, false));
		Group group = new Group(composite, SWT.NONE);
		group.setText(UITexts.SelectProjectWizardType_groupTitle);
        group.setLayout(new GridLayout(1, false));
        group.setLayoutData(new GridData(SWT.FILL, SWT.BEGINNING, true, false));

        generalProjectButton = new Button(group, SWT.RADIO);
        generalProjectButton.setText(UITexts.SelectProjectWizardType_importAsGeneralProject);
        generalProjectButton.setSelection(true);

        newProjectWizardButton = new Button(group, SWT.RADIO);
        newProjectWizardButton.setText(UITexts.SelectProjectWizardType_useNewProjestWizard);
        newProjectWizardButton.setSelection(false);

        setControl(composite);
		setPageComplete(true);
	}

	public boolean isNewProjectWizardSelected() {
		return newProjectWizardButton.getSelection();
	}
}
