/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.wizards.createproject;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbench;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 * @author Piotr Piastucki
 */
public class SelectProjectWizardWizard extends Wizard {

	private SelectProjectWizardPage page;
	private boolean newProjectWizardSelected;
	private boolean cancelled;

	public void init(IWorkbench workbench, IStructuredSelection selection) {
        setWindowTitle(UITexts.CreateProjectWizard_title);
	}

	@Override
	public void addPages() {
        page = new SelectProjectWizardPage("SelectProjectWizardPage");
        addPage(page);
	}
    
	@Override
	public boolean performFinish() {
		newProjectWizardSelected = page.isNewProjectWizardSelected();
		cancelled = false;
		return true;
	}

	@Override
	public boolean performCancel() {
		cancelled = true;
		return true;
	}

	public void show(Shell shell) {
        new WizardDialog(shell, this).open();
    }

	public boolean isNewProjectWizardSelected() {
		return newProjectWizardSelected;
	}

	public boolean isCancelled() {
		return cancelled;
	}
}
