/*******************************************************************************
* Copyright (c) 2013 Piotr Piastucki
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.wizards.synchronize;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.vcs.bazaar.client.core.BranchLocation;
import org.vcs.bazaar.eclipse.ui.wizards.BzrWizardPage;
import org.vcs.bazaar.eclipse.ui.wizards.createproject.CreateProjectRemoteBranch;

public class BazaarSynchronizeWizardPage extends BzrWizardPage {

	private CreateProjectRemoteBranch remoteBranch;
	private BranchLocation initialBranch;
	
	public BazaarSynchronizeWizardPage(String pageName, BranchLocation initialBranch) {
		super(pageName, null);
		this.initialBranch = initialBranch;
	}

	public void createControl(Composite parent) {
		Composite container = new Composite(parent, SWT.NONE);
        container.setLayout(new GridLayout(1, false));
        remoteBranch = new CreateProjectRemoteBranch(container, this, null, 425, initialBranch != null ? initialBranch.toString() : "");
        setControl(container);
	}
	
	

}
